org.apache.sling.hapi

## Class HApiException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.hapi.HApiException

All Implemented Interfaces:
  Serializable

    @ProviderType
    public class HApiException
    extends RuntimeException

A Hypermedia API exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HApiException()`
`HApiException(String message)`
`HApiException(String message, Throwable cause)`
`HApiException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HApiException

    public HApiException()

#### HApiException

    public HApiException(String message)

Parameters:
  `message` -

#### HApiException

    public HApiException(String message,
                         Throwable cause)

Parameters:
  `message` -
  `cause` -

#### HApiException

    public HApiException(Throwable cause)

Parameters:
  `cause` -